package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableField
import com.baomidou.mybatisplus.annotations.TableName
import java.util.Date
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 上传文件信息表
 * </p>
 *
 * @author NorthLan
 * @since 2018-06-01
 */
@TableName("sys_upload_info")
open class SysUploadInfo : BaseModel() {
    /**
     * 当前虚拟文件名
     */
    var filename: String? = null
    /**
     * 真实文件名
     */
    var realFilename: String? = null
    /**
     * 原始文件名
     */
    var originFilename: String? = null
    /**
     * 虚拟相对路径
     */
    var relativePath: String? = null
    /**
     * 上传批次ID
     */
    var batchId: String? = null
    /**
     * 最后一次修改时间
     */
    var lastModified: Date? = null
    /**
     * 文件非完整md5(头+[尾]+修改时间)
     */
    var md5: String? = null
    /**
     * 后缀名
     */
    var extension: String? = null
    /**
     * 文件大小(byte)
     */
    var filesize: Long? = null
    /**
     * 备用字段
     */
    var ext1: String? = null
    /**
     * 备用字段
     */
    var ext2: String? = null
    /**
     * 备用字段
     */
    var ext3: String? = null
    /**
     * 备用字段
     */
    var ext4: String? = null

    ////////////////////// url
    @TableField(exist = false)
    var url: String? = null
}
